POST /suno/generate/concat
Method: POSTEndpoint: /suno/generate/concat
Request Parameters
Header Parameters
text
accept
string
Optional
Example:
*/*
content-type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
clip_id
string
Required
is_infill
boolean
Required
Example
{
"clip_id"
:
// provider-specific example normalized for English documentation
,
"is_infill"
:
false
}Example Request
Shell
bash
curl --location --request POST '/suno/generate/concat' \
--header 'accept: */*' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'content-type: application/json' \
--data-raw '{
// provider-specific example normalized for English documentation
"is_infill": false
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"id": "e193aa39-e97b-464d-938f-cd150f7fb05a",
"video_url": "",
"audio_url": "",
"image_url": "https://cdn1.suno.ai/image_ea8b867f-d072-4a13-9418-eb687cfd956f.png",
"image_large_url": "https://cdn1.suno.ai/image_large_ea8b867f-d072-4a13-9418-eb687cfd956f.png",
"is_video_pending": false,
"major_model_version": "v3.5",
"model_name": "chirp-v3.5",
"metadata": {
"tags": "romantic country",
"prompt": "Example prompt from provider documentation.",
"gpt_description_prompt": null,
"audio_prompt_id": null,
"history": null,
"concat_history": [
{
"id": "a015205b-43ef-4374-b334-b3a78ef977aa",
"continue_at": 60,
"type": "gen",
"source": "web",
"infill": false
},
{
"id": "ea8b867f-d072-4a13-9418-eb687cfd956f",
"continue_at": null
}
],
"type": "concat",
"duration": null,
"refund_credits": null,
"stream": null,
"infill": null,
"has_vocal": null,
"is_audio_upload_tos_accepted": null,
"error_type": null,
"error_message": null
},
"is_liked": false,
"user_id": "7d44c563-4d66-449b-8de1-131e062baf43",
"display_name": "HeavyHipHop606",
"handle": "heavyhiphop606",
"is_handle_updated": false,
"avatar_image_url": "https://cdn1.suno.ai/defaultPink.jpg",
"is_trashed": false,
"reaction": null,
"created_at": "2024-07-05T07:32:37.286Z",
"status": "queued",
"title": "Example title",
"play_count": 0,
"upvote_count": 0,
"is_public": false
}